undefined method `require_sudo_mode' for EmailAddressesController:Class
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

When upgrading (finally) from 2.5.2 to 3.3 on debian 8 (mysql Ver 14.14 Distrib 5.5.40) using apache2 and passengers, I get the

following error:

Web application could not be started

undefined method `require_sudo_mode' for EmailAddressesController:Class (NoMethodError)

  /usr/share/redmine/app/controllers/email_addresses_controller.rb:21:in `<class:EmailAddressesCon

troller>'

  /usr/share/redmine/app/controllers/email_addresses_controller.rb:18:in `<top (required)>'

  /usr/lib/ruby/vendor_ruby/active_support/dependencies.rb:247:in `require'

...

 I can see that I have a sudo_mode.rb in /usr/share/redmine/lib/redmine but this doesn't seem to be getting included.

I installed redmine from https://svn.redmine.org/redmine/branches/3.3-stable

In fact, here are exactly the steps I took :

sudo apt-get update

sudo apt-get upgrade

cd /usr/share/

#Lets keep a copy of the old one

sudo mv redmine redmine-2.5.2-old

sudo svn co https://svn.redmine.org/redmine/branches/3.3-stable redmine

sudo chown -R www-data:www-data redmine

cd redmine

#copy the old config

sudo cp /etc/redmine/default/database.yml ./config/

#upgrade the bundle

sudo bundle install

sudo RAILS_ENV=production bundle exec rake db:migrate

 Is this a problem with the packaging, or am I doing something wrong?  :-/

Related issues:

Has duplicate Redmine - Defect #24838: After update undefined method `require... Closed

History

2025-05-07 1/2

https://svn.redmine.org/redmine/branches/3.3-stable


#1 - 2017-01-15 03:12 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Please contact debian team. We don't provide any packages.

#2 - 2017-01-15 08:00 - Ben Senior

- Status changed from Closed to Reopened

Sorry, I used the wrong nomenclature. It was a hard day and I wasn't thinking straight. As I mentioned, I installed redmine from SVN, not from a

debian package.  It's a clean checkout from https://svn.redmine.org/redmine/branches/3.3-stable.

The sudo_mode module appears to be there in the code base, but it doesn't seem to be getting properly included.  Isn't this more likely to be a

problematic include somewhere in the redmine code bse?  Unfortunately, Ruby isn't my strong suit at all.

#3 - 2017-01-15 12:23 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Please use forum for question.

Why did not you remove package from your OS?

#4 - 2017-01-16 11:54 - Toshi MARUYAMA

- Has duplicate Defect #24838: After update undefined method `require_sudo_mode' for EmailAddressesController:Class added
